from django.contrib.contenttypes.models import ContentType

__author__ = 'marcos'

from django.db import models

from rapid import rapidfields

class AltData1(models.Model):
    name = models.CharField(max_length=30)

class AltData2(models.Model):
    upd_date = models.DateField(auto_now=True)

class Test1(models.Model):
    some_text = models.CharField(max_length=30)
    some_int = models.IntegerField()
    some_date = models.DateField()
    some_datetime = models.DateTimeField()
    some_time = models.TimeField()
    alt_data_type = rapidfields.AlternativeDataTables((AltData1, AltData2))
    alt_data_id = models.PositiveIntegerField()
    alt_data = rapidfields.AlternativeData('alt_data_type', 'alt_data_id')


